Name:           tangogps
Version:        0.99.2
Release:        1%{?dist}
Summary:        GTK+ mapping and GPS application

Group:          Applications/Productivity
License:        GPLv2
URL:            http://www.tangogps.org/
Source0:        http://www.tangogps.org/downloads/%{name}-%{version}.tar.gz
Source1:        tangogps.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: dbus-devel
BuildRequires: gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: libcurl-devel
BuildRequires: libexif-devel
BuildRequires: libxml2-devel
BuildRequires: sqlite-devel
BuildRequires: gettext
BuildRequires: desktop-file-utils

Requires: dbus
Requires: gpsd

%description
tangoGPS is a lightweight and fast mapping application. It runs on handheld 
devices like the Openmoko Neo1973 as well as on the eeePC and the Linux 
desktop. By default is uses map data from the OpenStreetMap.org project; 
additionally a variety of other repositories can easily be added.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="fedora" \
--dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
rm -rf %{buildroot}%{_datadir}/applications/tangogps.desktop
rm -rf %{buildroot}/usr/doc/%{name}/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING 
%{_bindir}/tangogps
%{_datadir}/applications/fedora-tangogps.desktop
%{_datadir}/pixmaps/tangogps.png
%{_datadir}/pixmaps/tangogps-*.png

%changelog
* Thu Dec  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.99.2-1
- New upstream 0.99.2 release

* Mon Nov 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.99.1-1
- New upstream 0.99.1 release

* Thu Nov  5 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.9-1
- New upstream 0.9.9 release

* Sun Nov  1 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.8-1
- New upstream 0.9.8 release

* Tue Sep 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.7-1
- New upstream 0.9.7 release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 5  2009 Peter Robinson <pbrobinson@gmail.com> 0.9.6-2
- Add BR: libexif-devel to support new photo geotagging

* Thu Feb 5  2009 Peter Robinson <pbrobinson@gmail.com> 0.9.6-1
- New upstream release

* Mon Jan 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.5-1
- New upstream release

* Mon Sep 1 2008 Peter Robinson <pbrobinson@gmail.com> 0.9.3-3
- Cleanups from package review

* Fri Aug 29 2008 Peter Robinson <pbrobinson@gmail.com> 0.9.3-2
- Spec fixes

* Tue Aug 26 2008 Peter Robinson <pbrobinson@gmail.com> 0.9.3-1
- New release

* Mon Jul 7 2008 Peter Robinson <pbrobinson@gmail.com> 0.9.2-1
- Initial package
